## qt-x11-free 3.3.8-e

=== debian/changelog ===
qt-x11-free (3:3.3.8-e-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 14:27:39 +0200

qt-x11-free (3:3.3.8-d-0ubuntu0) maverick; urgency=low

  * Upload of 3.3.8d (working revision) from GIT

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 22 Jul 2011 16:40:00 -0600

qt-x11-free (3:3.3.8-c-0ubuntu0) maverick; urgency=low

  * Patch to 3.3.8c

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 09 Mar 2011 16:12:00 -0600

qt-x11-free (3:3.3.8-b-6ubuntu2) lucid; urgency=low

  * Fix locations in libqt3-mt.install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Nov 2009 17:26:38 +0000

qt-x11-free (3:3.3.8-b-6ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
   - Add kubuntu_06_fglrx_0_size_screen.dpatch work around fglrx reporting a 0 size screen.
     Closes https://bugs.launchpad.net/ubuntu/+source/qt-x11-free/+bug/81686
   - Add kubuntu_09_flickerfree_qiconview.dpatch to add
     double-buffering for the icon redraw - prevents flicker on window
     redrawing (LP: #209227)
   - No firebird/ibase build (remove build-dep, control entry, ibase
     ./configure option), firebird is not in Ubuntu main
   - Add debian/qt_plugins_3.3rc and debian/qtrc to set default style to plastique, edit libqt3-mt.install to install them

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Nov 2009 14:37:51 +0000

qt-x11-free (3:3.3.8b-6) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Add firebird2-dev as alternative build-dependency for backports.
    (Closes: #475251)
  * Replace old libcupsys2-dev names by libcups2-dev in Build-Depends and
    Depends. Thanks to Martin-Éric Racine. (Closes: #529965).
  * Add missing build-dependency on cpio. (Closes: #536848)

  +++ Changes by Modestas Vainius:

  * Build depend on libmysqlclient-dev only. It is a virtual package in Lenny.

  +++ Changes by Sune Vuorela:

  * Add debian/patches/71_sparc_only_-O1.diff and use linux-g++-sparc:
    - Build with -O1 on sparc as something is broken here. (Closes: #490999)
  * Fix parallel build. Thanks Robert Millan. (Closes: 475333)

 --  Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Aug 2009 12:50:18 +0300

qt-x11-free (3:3.3.8-b-5ubuntu3) karmic; urgency=low

  * Build-depend on cpio (LP: #445582).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Oct 2009 18:00:08 +0100

qt-x11-free (3:3.3.8-b-5ubuntu2) karmic; urgency=low

  * Build against mysql 5.1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Aug 2009 21:22:20 +0100

qt-x11-free (3:3.3.8-b-5ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining changes:
   - Add kubuntu_06_fglrx_0_size_screen.dpatch work around fglrx reporting a 0 size screen.
     Closes https://bugs.launchpad.net/ubuntu/+source/qt-x11-free/+bug/81686
   - Add kubuntu_09_flickerfree_qiconview.dpatch to add
     double-buffering for the icon redraw - prevents flicker on window
     redrawing (LP: #209227)
   - No firebird/ibase build (remove build-dep, control entry, ibase
     ./configure option), firebird is not in Ubuntu main
   - install qtrc and qt_plugins_3.3rc
   - add /etc/ to libqt3-mt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 02 May 2008 11:30:32 +0100

qt-x11-free (3:3.3.8-b-0ubuntu3) hardy; urgency=low

  * Add 61_eastern_asian_languagues.diff from Debian, 
    closes LP: #94282
    "Qt program doesn't select Chinese font correctly"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Apr 2008 16:56:29 +0100

qt-x11-free (3:3.3.8-b-0ubuntu2) hardy; urgency=low

  * Add debian/patches/kubuntu_09_flickerfree_qiconview.dpatch to add
    double-buffering for the icon redraw - prevents flicker on window
    redrawing (LP: #209227)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 08 Apr 2008 09:24:36 -0400

qt-x11-free (3:3.3.8-b-0ubuntu1) hardy; urgency=low

  * New upstream release with GPL 3 licence

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jan 2008 10:50:42 +0000

qt-x11-free (3:3.3.8really3.3.7-0ubuntu13) hardy; urgency=low

  * Remove kubuntu_05_gcc_hidden_visibility.dpatch, it breaks typing
    composite keys.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Nov 2007 11:40:40 +0000

qt-x11-free (3:3.3.8really3.3.7-0ubuntu12) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - No firebird/ibase build (remove build-dep, control entry, ibase ./configure option), firebird is not in Ubuntu main
   - install qtrc (change rules, qtrc file) and qt_plugins_3.3rc
   - add /etc/ to libqt3-mt
   - Add kubuntu_04_xinerama.dpatch from http://ktown.kde.org/~seli/xinerama/
   - Add kubuntu_06_fglrx_0_size_screen.dpatch work around fglrx reporting a 0 size screen.
     Closes https://bugs.launchpad.net/ubuntu/+source/qt-x11-free/+bug/81686
   - Add kubuntu_07_font_default_subst.dpatch from Dirk Muller,
     should fix rendering of CKJ and other characters
  * Add kubuntu_05_gcc_hidden_visibility.dpatch from 
    http://bugs.kde.org/attachment.cgi?id=13069&action=view
    on http://bugs.kde.org/109386, I am promised GCC won't break things this time

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 01 Nov 2007 15:59:56 +0000

qt-x11-free (3:3.3.8really3.3.7-0ubuntu11.1) gutsy-proposed; urgency=low

  * Fix missing config files and wrong /etc/qt3 folder permissions. (LP: #145709)

 -- Saïvann Carignan <oxmosys@gmail.com>  Tue, 23 Oct 2007 18:02:50 -0400

qt-x11-free (3:3.3.8really3.3.7-0ubuntu11) gutsy; urgency=low

  * SECURITY UPDATE: unterminated UTF8 strings could lead to 2 byte
    overflow that may allow arbitrary code execution.
  * Add debian/patches/kubuntu_20_utf8_2_byte_overflow: upstream fixes.
  * References
    CVE-2007-4137
    http://trolltech.com/company/newsroom/announcements/press.2007-09-03.7564032119

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Oct 2007 22:32:33 +0100

qt-x11-free (3:3.3.8really3.3.7-0ubuntu10) gutsy; urgency=low


