=== debian/control ===
Source: qt-x11-free
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modestas@vainius.eu>
Build-Depends: debhelper (>= 5.0.31), quilt, cpio, libxext-dev (>= 4.3.0.dfsg.1-4),
 libxrandr-dev (>= 4.3.0.dfsg.1-4), libsm-dev (>= 4.3.0.dfsg.1-4),
 libxmu-dev (>= 4.3.0.dfsg.1-4), libice-dev (>= 4.3.0.dfsg.1-4),
 libx11-dev (>= 4.3.0.dfsg.1-4), libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev,
 libxcursor-dev, libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev,
 libmng-dev (>= 1.0.3), libpng12-dev | libpng12-0-dev, libfontconfig1-dev,
 libfreetype6-dev, libxft-dev, unixodbc-dev,
 libmysqlclient-dev, flex, libpq-dev, libaudio-dev, libcups2-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libsqlite3-dev,
 firebird2.1-dev [i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64 sparc powerpc] | firebird2-dev [i386 amd64]
Section: libs
Priority: optional
Standards-Version: 3.7.3
Homepage: http://trolltech.com
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/qt-x11-free
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/qt-x11-free

Package: libqt3-mt
Architecture: any
Section: libs
Replaces: libqt3-mt (<< 4:3.5.13)
Breaks: libqt3-mt (<< 4:3.5.13)
Depends: ${shlibs:Depends}, fontconfig
Recommends: libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, libxmu6 (>= 4.3.0.dfsg.1-4)
Conflicts: libqt3c102-mt, libqui1-emb, libqt3c-mt
Suggests: libqt3-mt-psql, libqt3-mt-mysql, libqt3-mt-odbc
Description: Qt GUI Library (Threaded runtime version), Version 3
 This is the Trolltech Qt library, version 3. It's necessary for
 applications that link against the libqt-mt.so.3, e.g. all Trinity
 applications.

Package: libqt3-mt-mysql
Architecture: any
Section: libs
Replaces: libqt3-mt-mysql (<< 4:3.5.13)
Breaks: libqt3-mt-mysql (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: libqt3c102-mt-mysql, libqt3c-mt-mysql
Description: MySQL database driver for Qt3 (Threaded)
 This package contains the threaded MySQL plugin for Qt3. Install it if
 you intend to use or write Qt programs that are to access a MySQL DB.

Package: libqt3-mt-odbc
Architecture: any
Section: libs
Replaces: libqt3-mt-odbc (<< 4:3.5.13)
Breaks: libqt3-mt-odbc (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: libqt3c102-mt-odbc, libqt3c-mt-odbc
Description: ODBC database driver for Qt3 (Threaded)
 This package contains the threaded ODBC plugin for Qt3. Install it if
 you intend to use or write Qt programs that are to access an ODBC DB.

Package: libqt3-mt-psql
Architecture: any
Section: libs
Replaces: libqt3-mt-psql (<< 4:3.5.13)
Breaks: libqt3-mt-psql (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: libqt3c102-mt-psql, libqt3c-mt-psql
Description: PostgreSQL database driver for Qt3 (Threaded)
 This package contains the threaded PostgreSQL plugin for Qt3.
 Install it if you intend to use or write Qt programs that are
 to access a PostgreSQL DB.

Package: libqt3-mt-ibase
Architecture: i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64 sparc powerpc
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libqt3c102-mt-ibase
Replaces: libqt3c102-mt-ibase
Description: InterBase/FireBird database driver for Qt3 (Threaded)
 This package contains the threaded InterBase/FireBird plugin
 for Qt3. Install it if you intend to use or write Qt programs
 that are to access an InterBase/FireBird DB.

Package: libqt3-mt-sqlite
Architecture: any
Section: libs
Replaces: libqt3-mt-sqlite (<< 4:3.5.13)
Breaks: libqt3-mt-sqlite (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: libqt3c102-mt-sqlite
Description: SQLite database driver for Qt3 (Threaded)
 This package contains the threaded SQLite plugin for Qt3. Install
 it if you intend to use or write Qt programs that are to access an
 SQLite DB.

Package: libqt3-mt-dev
Architecture: any
Section: libdevel
Replaces: libqt3-mt-dev (<< 4:3.5.13)
Breaks: libqt3-mt-dev (<< 4:3.5.13)
Depends: libxext-dev (>= 4.3.0.dfsg.1-4), libxrandr-dev (>= 4.3.0.dfsg.1-4),
 libsm-dev (>= 4.3.0.dfsg.1-4), libxmu-dev (>= 4.3.0.dfsg.1-4),
 libice-dev (>= 4.3.0.dfsg.1-4), libx11-dev (>= 4.3.0.dfsg.1-4),
 libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev, libxcursor-dev,
 libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev, libmng-dev (>= 1.0.3),
 libpng12-dev | libpng12-0-dev, libfontconfig1-dev, libfreetype6-dev,
 libxft-dev, libaudio-dev, libcups2-dev, libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev, libc6-dev, libqt3-mt (= ${binary:Version}),
 libqt3-headers (= ${binary:Version}), qt3-dev-tools (= ${binary:Version})
Conflicts: libqt-mt-dev, libqt3-emb (<= 3:3.0.3-1), libqt3-dev
Recommends: libqt3-compat-headers
Suggests: libqt3-i18n, qt3-doc
Description: Qt development files (Threaded)
 Qt is a C++ class library optimized for graphical user interface
 development. This package contains the libqt-mt.so symlink, necessary
 for building threaded Qt applications as well as the libqui.so symlink
 and the necessary header files for libqui.so. (See README.Debian and
 the Qt Documentation for instructions on libqui.so)
 .
 WARNING: If you plan to build some older Qt3 applications, you will
 most probably have to install the libqt3-compat-headers package. It
 contains all the headers which are not part of the official Qt3 API
 anymore but which are still used by some programs. So if you encounter
 problems with missing header files, please install this package first
 before you send a bugreport.

Package: libqt3-headers
Architecture: any
Section: devel
Replaces: libqt3-headers (<< 4:3.5.13)
Breaks: libqt3-headers (<< 4:3.5.13)
Recommends: libqt3-mt-dev
Description:  Qt3 header files
 This package contains all header files for libqt and libqt-mt which come
 with Qt3. If you want to compile or develop programs which use Qt3, you
 have to install this package.

Package: libqt3-compat-headers
Architecture: any
Section: devel
Replaces: libqt3-compat-headers (<< 4:3.5.13)
Breaks: libqt3-compat-headers (<< 4:3.5.13)
Depends: libqt3-headers (= ${binary:Version})
Recommends: libqt3-mt-dev
Description: Qt 1.x and 2.x compatibility includes
 This package contains header files that are intended for build
 compatibility for applications that build with Qt3 but still use
 deprecated includes. It is meant as an intermediate solution and
 these header files are not part of the official Qt3 API.
 All sourcecode that is still using the headers of this package is
 subject to be changed to use the new header files which are in
 libqt3-headers.

Package: qt3-dev-tools
Architecture: any
Section: devel
Replaces: qt3-dev-tools (<< 4:3.5.13)
Breaks: qt3-dev-tools (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Recommends: libqt3-mt-dev
Conflicts: libqt-dev (<< 3:2.3.2-10), uic (<= 3:2.3.2-9)
Description: Qt3 development tools
 This package contains all tools that are necessary to build programs
 that are written using Qt3. These are: qmake, uic and moc.
 For Qt3 development, you most likely want to install this package.

Package: qt3-designer
Architecture: any
Section: devel
Replaces: qt3-designer (<< 4:3.5.13)
Breaks: qt3-designer (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Recommends: qt3-dev-tools
Suggests: qt3-assistant, qt3-doc
Conflicts: qt-designer (<= 3:2.3.2-9), qt-designer-doc
Description: Qt3 Designer
 The Qt Designer is a GUI design program that interactively lets you
 construct user interfaces for the Qt library. Additionally it lets you
 create whole project and works together with the database drivers
 provided by Qt to create applications with easy database access through
 Qt. The resulting user interface files can then be converted to
 C++ classes using the uic commandline utility which is usually done
 automatically for the developer with a project management with qmake
 or automake.

Package: qt3-apps-dev
Architecture: any
Section: devel
Replaces: qt3-apps-dev (<< 4:3.5.13)
Breaks: qt3-apps-dev (<< 4:3.5.13)
Depends: libqt3-mt-dev
Description: Qt3 Developer applications development files
 This package is intended for developers who want to develop applications
 using the additional static libraries that ship with the applications
 included with Qt; the Qt Designer and the Qt Assistant.
 It allows integrating additional enhancements into the Qt Designer
 respectively faciliate the Qt Assistant from within your Qt application
 to interactively call the Assistant for displaying online help that the
 developer includes with his application.

Package: qt3-linguist
Architecture: any
Section: devel
Replaces: qt3-linguist (<< 4:3.5.13)
Breaks: qt3-linguist (<< 4:3.5.13)
Suggests: qt3-assistant
Depends: ${shlibs:Depends}
Description: The Qt3 Linguist
 This package contains the Qt3 Linguist which provides translators a
 tool perfect for translating any Qt-based application into other
 languages and can be used and installed independently of any Qt
 development files by the translator.

Package: qt3-assistant
Architecture: any
Section: x11
Replaces: qt3-assistant (<< 4:3.5.13)
Breaks: qt3-assistant (<< 4:3.5.13)
Depends: ${shlibs:Depends}, qt3-doc
Description: The Qt3 assistant application
 This package contains the Qt3 Assistant, an easy to use frontend for
 the complete Qt3 documentation and serves as an online help viewer for
 any Qt program that wants to give the usesr access to online help.
 Within the Qt tools it is used as the help viewer for the online help
 for the Qt3 Designer and Linguist as well as qmake and the Qt 3 API
 documentation.
 .
 Developers of Qt Application who want to faciliate the Qt Assistant for online
 help display should refer to the README.Debian file for libqt3-mt-dev and
 the package qt3-apps-dev.

Package: qt3-qtconfig
Architecture: any
Section: x11
Replaces: qt3-qtconfig (<< 4:3.5.13)
Breaks: qt3-qtconfig (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: The Qt3 Configuration Application
 The Qt Configuration program allows endusers to configure the look
 and behavior of any Qt3 application. It is mostly only necessary
 on systems which don't run KDE because the KDE control center already
 covers this configuration automatically for the users Qt3 applications
 according to his desktop settings in KDE. However, if you need to run
 CJK-fonts or other non-latin scripts, you will most likely want to
 install this package.

Package: qt3-dev-tools-embedded
Architecture: any
Section: devel
Replaces: qt3-dev-tools-embedded (<< 4:3.5.13)
Breaks: qt3-dev-tools-embedded (<< 4:3.5.13)
Recommends: libqt3-mt-dev
Depends: ${shlibs:Depends}
Description: Tools to develop embedded Qt applications
 This package contains applications only suitable for developing
 applications with Qt Embedded and/or Qtopia. It provides the QVFB
 program for simulating an embedded device desktop as well as makeqpf
 for converting fonts to embedded fonts suitable for being utilized
 by Qt Embedded applications.

Package: qt3-dev-tools-compat
Architecture: any
Section: devel
Replaces: qt3-dev-tools-compat (<< 4:3.5.13)
Breaks: qt3-dev-tools-compat (<< 4:3.5.13)
Recommends: libqt3-mt-dev
Depends: ${shlibs:Depends}
Description: Conversion utilities for Qt3 development
 This package contains some older Qt tools (namely qt20fix qtrename140,
 qm2ts, mergetr, findtr and msg2qm). These tools are needed only by
 application developers who need to migrate any Qt application written
 for Qt 1.x or 2.x over to Qt 3.x. The purpose of the tools are to
 help fixing the changes with include file renaming as well as migrating
 the message file format of Qt 2 translation files or any gettext-based
 translation system to the Qt 3 system.

Package: libqt3-i18n
Architecture: all
Section: libs
Replaces: libqt3-i18n (<< 4:3.5.13)
Breaks: libqt3-i18n (<< 4:3.5.13)
Recommends: libqt3-mt
Description: i18n files for Qt3 library
