=== debian/rules ===
#!/usr/bin/make -f

# build variables
export QTDIR=$(shell pwd)

# re-set $(LD_LIBRARY_PATH)
OLD_LD_LIBRARY_PATH := $(LD_LIBRARY_PATH)
export LD_LIBRARY_PATH=$(QTDIR)/lib:$(OLD_LD_LIBRARY_PATH)

# fix path
OLD_PATH := $(PATH)
export PATH=$(QTDIR)/bin:$(OLD_PATH)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_HOST_ARCH_OS),hurd)
	PLATFORM_ARG = hurd-g++
else #hurd
ifeq ($(DEB_HOST_ARCH),sparc)
	PLATFORM_ARG = linux-g++-sparc
else #sparc
	PLATFORM_ARG = linux-g++
endif #sparc
endif #hurd

# quilt stuff
#include /usr/share/quilt/quilt.make

# build variables (directorys)
DEBIAN = $(shell pwd)/debian
P_LIBS = $(DEBIAN)/libqt3-mt
P_DOC = $(DEBIAN)/qt3-doc
P_APPSDEV = $(DEBIAN)/qt3-apps-dev
P_HEADERS = $(DEBIAN)/libqt3-headers
P_QTMTDEV = $(DEBIAN)/libqt3-mt-dev

TMP_INSTALL = $(DEBIAN)/tmp-install

CONFIGURE_OPTS = \
		-prefix		"/usr"				\
		-sysconfdir	"/etc/qt3"			\
		-datadir	"/usr/share/qt3"		\
		-headerdir	"/usr/include/qt3"		\
		-docdir		"/usr/share/qt3/doc"		\
		-plugindir	"/usr/lib/qt3/plugins"		\
		-translationdir	"/usr/share/qt3/translations"	\
						\
		-thread				\
		-shared				\
		-fast				\
		-no-exceptions			\
		-platform $(PLATFORM_ARG)	\
						\
		-nis				\
		-no-pch				\
		-cups				\
		-stl				\
		-ipv6				\
						\
		-sm				\
		-xshape				\
		-xinerama			\
		-xcursor			\
		-xrandr				\
		-xrender			\
		-xft				\
		-tablet				\
		-xkb				\
						\
		-system-zlib			\
		-system-libpng			\
		-system-libmng			\
		-system-libjpeg			\
		-system-nas-sound		\
						\
		-enable-opengl			\
		-dlopen-opengl			\
						\
		-qt-gif				\
		-qt-imgfmt-png			\
		-qt-imgfmt-jpeg			\
		-plugin-imgfmt-mng		\
						\
		-plugin-sql-odbc		\
		-plugin-sql-psql		\
		-plugin-sql-mysql		\
		-plugin-sql-ibase		\
		-plugin-sql-sqlite		\
						\
		-I/usr/include/mysql		\
		-I/usr/include/freetype2	\
		-I`pg_config --includedir`	\
		-L/usr/lib/$(DEB_HOST_MULTIARCH)\
						\
		-lfontconfig			\
		-inputmethod			\
		# End of CONFIGURE_OPTS

interbase_archs := i386 amd64 sparc powerpc
ifneq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),$(interbase_archs)))
	CONFIGURE_OPTS += -no-sql-ibase
	IBASE = -Nlibqt3-mt-ibase
else
	IBASE =
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
	CONFIGURE_OPTS += -no-sql-ibase
	IBASE = -Nlibqt3-mt-ibase
endif

ifeq ($(DEB_HOST_ARCH),arm)
	CONFIGURE_OPTS += -DQT_QLOCALE_USES_FCVT
endif

build: libqt-thread-stamp

	touch build-stamp

libqt-thread-stamp: $(QUILT_STAMPFN)

	@echo "QTDIR is ${QTDIR}"

	dh_testdir

	echo yes | ./configure $(CONFIGURE_OPTS)

	rm -rf include/qinputcontext.h include/qinputcontextfactory.h include/qinputcontextplugin.h
	ln -s ../src/kernel/qinputcontext.h include/qinputcontext.h
	ln -s ../src/inputmethod/qinputcontextfactory.h include/qinputcontextfactory.h
	ln -s ../src/inputmethod/qinputcontextplugin.h include/qinputcontextplugin.h

	# proceed
	$(MAKE) sub-src sub-plugins sub-tools
	$(MAKE) -C src INSTALL_ROOT=$(TMP_INSTALL) install_target
	$(MAKE) INSTALL_ROOT=$(TMP_INSTALL) install
	$(MAKE) INSTALL_ROOT=$(TMP_INSTALL) plugins-install

	# archives get accidentally stripped by make install. Copy over unstripped ones for now.
	cp lib/lib*.a $(TMP_INSTALL)/usr/lib/

	cp bin/qtrename140 $(TMP_INSTALL)/usr/bin/
	cp bin/qt20fix $(TMP_INSTALL)/usr/bin/
	cp bin/findtr $(TMP_INSTALL)/usr/bin/

	# build conv2ui
	cd tools/designer/tools/conv2ui && $(MAKE)
	cp bin/conv2ui $(TMP_INSTALL)/usr/bin/conv2ui

	# build qvfb
	cd tools/qvfb/ && $(MAKE)
	cp tools/qvfb/qvfb $(TMP_INSTALL)/usr/bin/qvfb

	# install qmake.cache file
	install -d $(P_QTMTDEV)/usr/share/qt3/
	cat .qmake.cache | sed "s#$(QTDIR)#/usr/share/qt3#g" > $(P_QTMTDEV)/usr/share/qt3/.qmake.cache

	# install qconfig.h for the mt
	install -m 644 -D include/qconfig.h $(P_QTMTDEV)/usr/include/qt3/qconfig.h
	install -m 644 -D include/qmodules.h $(P_QTMTDEV)/usr/include/qt3/qmodules.h

	install -m 644 -D include/qinputcontext.h $(P_HEADERS)/usr/include/qt3/qinputcontext.h
	install -m 644 -D include/qinputcontextfactory.h $(P_HEADERS)/usr/include/qt3/qinputcontextfactory.h
	install -m 644 -D include/qinputcontextplugin.h $(P_HEADERS)/usr/include/qt3/qinputcontextplugin.h

	touch libqt-thread-stamp

clean: unpatch

	dh_testdir

	-rm -rf debian/patched
	-rm -rf build-stamp libqt-thread-stamp

	-chmod -R u+w *
	-chmod a-x doc/html/layout?.png

	if [ -f "src/Makefile" ]; then \
		$(MAKE) -C src clean; $(MAKE) -C plugins/src distclean; $(MAKE) -C tools distclean; \
		$(MAKE) -C tools/makeqpf distclean; $(MAKE) -C tools/qconfig distclean; $(MAKE) -C tools/qvfb distclean; \
		$(MAKE) -C tools/msg2qm distclean; $(MAKE) -C tools/mergetr distclean; $(MAKE) -C tools/qembed distclean; \
		$(MAKE) -C tools/designer/tools/conv2ui distclean; $(MAKE) -C tools/designer/tools/createcw distclean; \
		$(MAKE) -C tools/designer/plugins/glade distclean; $(MAKE) -C tools/designer/plugins/qglwidget distclean; \
		$(MAKE) -C config.tests/unix/largefile distclean; $(MAKE) -C qmake distclean; \
	fi

	-rm -rf .qmake.cache src/.qmake.internal.cache tools/designer/designer/.qmake.internal.cache qmake/GNUmakefile \
		config.status bin/moc bin/qmake src/moc/*.o mkspecs/default lib/lib* `pwd`/debian/doc $(TMP_INSTALL) \
		src/tools/qconfig.cpp include/qconfig.h include/qmodules.h plugins/accessibleqtwidgets.prl \
		config.tests/unix/ipv6/ipv6test config.tests/unix/ipv6/ipv6test.o config.tests/unix/ptrsize/ptrsizetest.o \
		config.tests/unix/ptrsize/ptrsizetest config.tests/unix/endian/endiantest.o \
		config.tests/unix/endian/endiantest lib/qt-mt.pc extensions/nsplugin/examples/trivial/libtrivial.prl \
		extensions/nsplugin/examples/grapher/libgrapher.prl bin/designer

	rm -f qmake/*o
	rm -rf include/qinputcontext.h include/qinputcontextfactory.h include/qinputcontextplugin.h
	rm -f src/.obj/debug-shared-mt/*o plugins/src/inputmethods/imsw-multi/.obj/debug-shared-mt/*o plugins/inputmethods/*so
	rm -f plugins/src/inputmethods/imsw-none/.obj/debug-shared-mt/*o plugins/src/inputmethods/simple/.obj/debug-shared-mt/*o plugins/src/inputmethods/xim/.obj/debug-shared-mt/*o

	# delete generated Makefiles but save the toplevel Makefile
	-mv Makefile Makefile.save
	for a in `find . -name 'Makefile'`; do rm -f "$$a"; done
	-mv Makefile.save Makefile

	cd examples/ && find . -name '.obj' | xargs rm -rf

	dh_clean

install: build

	dh_testdir
	dh_testroot

	dh_clean -i
	dh_installdirs

	# fix .prl files
	for a in $(TMP_INSTALL)/usr/lib/*prl; do cat "$$a" | sed \
	"s#$(QTDIR)#/usr/share/qt3#g" > "$$a".new && mv "$$a".new "$$a"; done

	dh_install $(IBASE) --sourcedir=$(TMP_INSTALL)

	## build qt3-doc package
	# copy all docs there first
	install -d $(P_DOC)/usr/share/qt3/doc/html/
	for a in `cd $(TMP_INSTALL)/usr/share/qt3/doc/html/ && find`; do cp $(TMP_INSTALL)/usr/share/qt3/doc/html/"$$a" $(P_DOC)/usr/share/qt3/doc/html/; done
	#typo bugfix
	sed -i -e 's/reveives/receives/' $(P_DOC)/usr/share/qt3/doc/html/qwidget.html

	## build designer package documentation
	# qt3-designer
	install -d `pwd`/debian/qt3-designer/usr/share/qt3/doc/html/
	for a in `cat doc/html/designer*.html doc/html/designer*.dcf | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/qt3-designer/usr/share/qt3/doc/html/ && \
	rm -rf $(P_DOC)/usr/share/qt3/doc/html/"$$a" || true; done
	rm -rf outputfile `pwd`/debian/qt3-designer/usr/share/qt3/doc/html/logo32.png
	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/designer*

	## build linguist package documentation
	# qt3-linguist
	install -d `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/
