## qt-x11-free 3.3.8-f~pre98

=== debian/changelog ===
qt-x11-free (3:3.3.8-f~pre98-0ubuntu12.04.0+3) precise; urgency=low

  * Automated git build for 5a01017c2221269bba6d8ce422d7a05d5693888d

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Sep 2021 15:03:35 +0200
