=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modestas@vainius.eu>
-Build-Depends: debhelper (>= 5.0.31), quilt, cpio, libxext-dev (>= 4.3.0.dfsg.1-4),
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cpio, libxext-dev (>= 4.3.0.dfsg.1-4),
  libxrandr-dev (>= 4.3.0.dfsg.1-4), libsm-dev (>= 4.3.0.dfsg.1-4),
  libxmu-dev (>= 4.3.0.dfsg.1-4), libice-dev (>= 4.3.0.dfsg.1-4),
  libx11-dev (>= 4.3.0.dfsg.1-4), libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev,
  libxcursor-dev, libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev,
- libmng-dev (>= 1.0.3), libpng12-dev | libpng12-0-dev, libfontconfig1-dev,
+ libmng-dev (>= 1.0.3), libpng-dev, libfontconfig1-dev,
  libfreetype6-dev, libxft-dev, unixodbc-dev,
- libmysqlclient-dev, flex, libpq-dev, libaudio-dev, libcups2-dev,
+ default-libmysqlclient-dev | libmysqlclient-dev, flex, libpq-dev, postgresql-server-dev-all (>= 117~) | libpq-dev (<< 9.3.3-2~), libaudio-dev, libcups2-dev,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libsqlite3-dev,
- firebird2.1-dev [i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64 sparc powerpc] | firebird2-dev [i386 amd64]
+ firebird-dev | firebird2.1-dev [i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64 sparc powerpc armel] | firebird2-dev [i386 amd64]
 Section: libs
 Priority: optional
 Standards-Version: 3.7.3
@@ -100,7 +100,7 @@
  libice-dev (>= 4.3.0.dfsg.1-4), libx11-dev (>= 4.3.0.dfsg.1-4),
  libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev, libxcursor-dev,
  libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev, libmng-dev (>= 1.0.3),
- libpng12-dev | libpng12-0-dev, libfontconfig1-dev, libfreetype6-dev,
+ libpng-dev, libfontconfig1-dev, libfreetype6-dev,
  libxft-dev, libaudio-dev, libcups2-dev, libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev, libc6-dev, libqt3-mt (= ${binary:Version}),
  libqt3-headers (= ${binary:Version}), qt3-dev-tools (= ${binary:Version})
@@ -277,4 +277,3 @@
 Replaces: libqt3-i18n (<< 4:3.5.13)
 Breaks: libqt3-i18n (<< 4:3.5.13)
 Recommends: libqt3-mt
-Description: i18n files for Qt3 library
