## qt-x11-free 3.3.8-f~pre106

=== debian/changelog ===
qt-x11-free (3:3.3.8-f~pre106-0ubuntu20.04.0+3) focal; urgency=low

  * Automated git build for 4223d739e95e19595f62238006a7549be19068f0

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 22 Mar 2022 13:38:29 +0100
