=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 endif #hurd
 
 # quilt stuff
-#include /usr/share/quilt/quilt.make
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 # build variables (directorys)
 DEBIAN = $(shell pwd)/debian
@@ -95,6 +95,7 @@
 		-I/usr/include/mysql		\
 		-I/usr/include/freetype2	\
 		-I`pg_config --includedir`	\
+		-I`pg_config --includedir-server`	\
 		-L/usr/lib/$(DEB_HOST_MULTIARCH)\
 						\
 		-lfontconfig			\
@@ -118,22 +119,21 @@
 	CONFIGURE_OPTS += -DQT_QLOCALE_USES_FCVT
 endif
 
-build: libqt-thread-stamp
+post-patches::
+	dh_testdir
+
+build build-arch: libqt-thread-stamp
+build-indep:
 
 	touch build-stamp
 
-libqt-thread-stamp: $(QUILT_STAMPFN)
+libqt-thread-stamp: post-patches
 
 	@echo "QTDIR is ${QTDIR}"
 
 	dh_testdir
 
 	echo yes | ./configure $(CONFIGURE_OPTS)
-
-	rm -rf include/qinputcontext.h include/qinputcontextfactory.h include/qinputcontextplugin.h
-	ln -s ../src/kernel/qinputcontext.h include/qinputcontext.h
-	ln -s ../src/inputmethod/qinputcontextfactory.h include/qinputcontextfactory.h
-	ln -s ../src/inputmethod/qinputcontextplugin.h include/qinputcontextplugin.h
 
 	# proceed
 	$(MAKE) sub-src sub-plugins sub-tools
@@ -142,7 +142,7 @@
 	$(MAKE) INSTALL_ROOT=$(TMP_INSTALL) plugins-install
 
 	# archives get accidentally stripped by make install. Copy over unstripped ones for now.
-	cp lib/lib*.a $(TMP_INSTALL)/usr/lib/
+	-cp lib/lib*.a $(TMP_INSTALL)/usr/lib/
 
 	cp bin/qtrename140 $(TMP_INSTALL)/usr/bin/
 	cp bin/qt20fix $(TMP_INSTALL)/usr/bin/
@@ -160,17 +160,9 @@
 	install -d $(P_QTMTDEV)/usr/share/qt3/
 	cat .qmake.cache | sed "s#$(QTDIR)#/usr/share/qt3#g" > $(P_QTMTDEV)/usr/share/qt3/.qmake.cache
 
-	# install qconfig.h for the mt
-	install -m 644 -D include/qconfig.h $(P_QTMTDEV)/usr/include/qt3/qconfig.h
-	install -m 644 -D include/qmodules.h $(P_QTMTDEV)/usr/include/qt3/qmodules.h
-
-	install -m 644 -D include/qinputcontext.h $(P_HEADERS)/usr/include/qt3/qinputcontext.h
-	install -m 644 -D include/qinputcontextfactory.h $(P_HEADERS)/usr/include/qt3/qinputcontextfactory.h
-	install -m 644 -D include/qinputcontextplugin.h $(P_HEADERS)/usr/include/qt3/qinputcontextplugin.h
-
 	touch libqt-thread-stamp
 
-clean: unpatch
+clean::
 
 	dh_testdir
 
@@ -198,7 +190,6 @@
 		extensions/nsplugin/examples/grapher/libgrapher.prl bin/designer
 
 	rm -f qmake/*o
-	rm -rf include/qinputcontext.h include/qinputcontextfactory.h include/qinputcontextplugin.h
 	rm -f src/.obj/debug-shared-mt/*o plugins/src/inputmethods/imsw-multi/.obj/debug-shared-mt/*o plugins/inputmethods/*so
 	rm -f plugins/src/inputmethods/imsw-none/.obj/debug-shared-mt/*o plugins/src/inputmethods/simple/.obj/debug-shared-mt/*o plugins/src/inputmethods/xim/.obj/debug-shared-mt/*o
 
@@ -245,3 +236,17 @@
 	## build linguist package documentation
 	# qt3-linguist
 	install -d `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/
+	for a in `cat doc/html/linguist*.html doc/html/linguist*.dcf | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
+	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
+	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/ && \
+	rm -rf $(P_DOC)/usr/share/qt3/doc/html/"$$a" || true; done
+	rm -rf outputfile `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/logo32.png
+	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/linguist*
+
+	## qt3-assistant
+	# remove docs from qt3-doc for qt-assistant
+	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/assistant*
+
+	## all packages
+	# install the overrides files
+	#for a in debian/overrides/*; do install -d debian/`echo "$$a" | sed 's/debian\/overrides\///g'`/usr/share/lintian/overrides; done
